Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::AppModuleCapture Class Reference

The capture app module adds functionality to capture still images and save them as files. More...

`#include <AppModuleCapture.h>`

Inheritance diagram for ArgusSamples::AppModuleCapture:

List of all members.

## Public Member Functions

| AppModuleCapture ()
virtual | ~AppModuleCapture ()
IAppModule methods
virtual bool | initialize (Options &options)
| Initialize.
virtual bool | shutdown ()
| Shut down.
virtual bool | start (Window::IGuiMenuBar *iGuiMenuBar=NULL, Window::IGuiContainer *iGuiContainerConfig=NULL)
| Start the module.
virtual bool | stop ()
| Stop the module.
Public Member Functions inherited from ArgusSamples::IAppModule
| IAppModule ()
virtual | ~IAppModule ()

## Static Public Member Functions

option callbacks
static bool | still (void *userPtr, const char *optArg)
static bool | capture (void *userPtr, const char *optArg)

## Private Member Functions

IKeyObserver methods
virtual bool | onKey (const Key &key)

## Private Attributes

bool | m_initialized
| set if initialized
bool | m_running
| set if running
TaskStillCapture | m_stillCapture
| still capure task
Window::IGuiContainer * | m_guiContainerConfig
| configuration GUI container
Window::IGuiContainerGrid * | m_guiConfig
| configuration GUI

## Detailed Description

The capture app module adds functionality to capture still images and save them as files.

Definition at line 42 of file AppModuleCapture.h.

## Constructor & Destructor Documentation

ArgusSamples::AppModuleCapture::AppModuleCapture | ( |  | ) |

Definition at line 83 of file AppModuleCapture.cpp.

ArgusSamples::AppModuleCapture::~AppModuleCapture | ( |  | ) |

virtual

Definition at line 91 of file AppModuleCapture.cpp.

## Member Function Documentation

bool ArgusSamples::AppModuleCapture::capture | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 74 of file AppModuleCapture.cpp.

bool ArgusSamples::AppModuleCapture::initialize | ( | Options & | options | ) |

virtual

Initialize.

Parameters:

  [in] | options | each app module can add options

Implements ArgusSamples::IAppModule.

Definition at line 96 of file AppModuleCapture.cpp.

bool ArgusSamples::AppModuleCapture::onKey | ( | const Key & | key | ) |

private virtual

Definition at line 205 of file AppModuleCapture.cpp.

bool ArgusSamples::AppModuleCapture::shutdown | ( |  | ) |

virtual

Shut down.

Implements ArgusSamples::IAppModule.

Definition at line 117 of file AppModuleCapture.cpp.

bool ArgusSamples::AppModuleCapture::start | ( | Window::IGuiMenuBar * | iGuiMenuBar = `NULL`,
|  | Window::IGuiContainer * | iGuiContainerConfig = `NULL`
| ) |  |

virtual

Start the module.

Parameters:

  [in] | iGuiMenuBar | optional, the module can add menu items to this menu bar
  [in] | iGuiContainerConfig | optional, the module can add configuration options to this container

Implements ArgusSamples::IAppModule.

Definition at line 135 of file AppModuleCapture.cpp.

bool ArgusSamples::AppModuleCapture::still | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 42 of file AppModuleCapture.cpp.

bool ArgusSamples::AppModuleCapture::stop | ( |  | ) |

virtual

Stop the module.

Implements ArgusSamples::IAppModule.

Definition at line 187 of file AppModuleCapture.cpp.

## Member Data Documentation

Window::IGuiContainerGrid* ArgusSamples::AppModuleCapture::m_guiConfig

private

configuration GUI

Definition at line 69 of file AppModuleCapture.h.

Window::IGuiContainer* ArgusSamples::AppModuleCapture::m_guiContainerConfig

private

configuration GUI container

Definition at line 68 of file AppModuleCapture.h.

bool ArgusSamples::AppModuleCapture::m_initialized

private

set if initialized

Definition at line 64 of file AppModuleCapture.h.

bool ArgusSamples::AppModuleCapture::m_running

private

set if running

Definition at line 65 of file AppModuleCapture.h.

TaskStillCapture ArgusSamples::AppModuleCapture::m_stillCapture

private

still capure task

Definition at line 66 of file AppModuleCapture.h.

The documentation for this class was generated from the following files:

- ui/capture/AppModuleCapture.h
- ui/capture/AppModuleCapture.cpp